Name:           paperwork
Version:        2.2.5
Release:        %mkrel 2
Summary:        Personal document manager
License:        GPLv3+
Group:          Graphics/Scanning
Url:            https://openpaper.work/
Source0:        %{pypi_source}
Patch0:         paperwork-disable-update-check.patch
Patch1:         0001-Drop-extra-icon-dirs.patch
Patch2:         0001-require-pygi-version-3.30.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(openpaperwork-core)
BuildRequires:  python3dist(openpaperwork-gtk)
BuildRequires:  python3dist(paperwork-backend)
BuildRequires:  python3dist(pyxdg)
BuildRequires:  python3-gobject
BuildRequires:  x11-server-xvfb

Requires:       python3-gobject
Requires:       poppler
Requires:       saned
Requires:       tesseract
Requires:       tesseract-language

%description
Paperwork is a personal document manager. It manages scanned documents
and PDFs.

It's designed to be easy and fast to use. The idea behind Paperwork
is "scan & forget": You can just scan a new document and forget about
it until the day you need it again.

In other words, let the machine do most of the work for you.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

PYTHONPATH=%{buildroot}%{python3_sitelib} \
    xvfb-run -a \
        %{python3} -m paperwork_gtk.main install \
            --data_base_dir %{buildroot}%{_datadir} \
            --icon_base_dir %{buildroot}%{_iconsdir}

%pyproject_save_files paperwork_gtk

%files -f %{pyproject_files}
%doc README.markdown
%{_bindir}/*
%{_datadir}/applications/work.openpaper.Paperwork.desktop
%{_iconsdir}/hicolor/*/apps/work.openpaper.Paperwork.{svg,png}
%{_iconsdir}/hicolor/scalable/apps/paperwork_halo.svg
%{_metainfodir}/work.openpaper.Paperwork.metainfo.xml


%changelog
* Mon Mar 03 2025 daviddavid <daviddavid> 2.2.5-2.mga10
+ Revision: 2159236
- rebuild for python 3.13

* Fri Sep 27 2024 daviddavid <daviddavid> 2.2.5-1.mga10
+ Revision: 2101438
- new version: 2.2.5

* Fri Feb 23 2024 daviddavid <daviddavid> 2.1.2-3.mga10
+ Revision: 2043357
- fix python-Levenshtein dependency

* Fri Jan 05 2024 daviddavid <daviddavid> 2.1.2-2.mga10
+ Revision: 2027670
- rebuild for py3.12

* Sun Jan 15 2023 daviddavid <daviddavid> 2.1.2-1.mga9
+ Revision: 1933316
- new version: 2.1.2

* Sun Sep 11 2022 wally <wally> 2.1.1-2.mga9
+ Revision: 1887294
- skip upstream update check

* Sun Sep 11 2022 wally <wally> 2.1.1-1.mga9
+ Revision: 1887290
- new version 2.1.1

* Thu Mar 31 2022 umeabot <umeabot> 1.3.1-5.mga9
+ Revision: 1837370
- Mageia 9 Mass Rebuild

* Sun Feb 27 2022 mrambo3501 <mrambo3501> 1.3.1-4.mga9
+ Revision: 1786301
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.3.1-3.mga9
+ Revision: 1732612
- Rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 1.3.1-2.mga8
+ Revision: 1541814
- Mageia 8 Mass Rebuild

* Thu Jan 02 2020 daviddavid <daviddavid> 1.3.1-1.mga8
+ Revision: 1475482
- new version: 1.3.1

* Sun Sep 29 2019 daviddavid <daviddavid> 1.3.0-1.mga8
+ Revision: 1447976
- new version: 1.3.0

* Tue Sep 24 2019 daviddavid <daviddavid> 1.2.4-2.mga8
+ Revision: 1445297
- rebuild for python3.8

* Sat Jan 19 2019 wally <wally> 1.2.4-1.mga7
+ Revision: 1358096
- new versio 1.2.4

* Wed Sep 19 2018 umeabot <umeabot> 0.3.2-4.mga7
+ Revision: 1265639
- Mageia 7 Mass Rebuild

* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.3.2-3.mga6
+ Revision: 1070635
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.3.2-2.mga6
+ Revision: 1046191
- test rebuild for poppler

* Mon May 09 2016 dglent <dglent> 0.3.2-1.mga6
+ Revision: 1011527
- Version 0.3.2

* Thu Apr 28 2016 daviddavid <daviddavid> 0.2.5-2.mga6
+ Revision: 1007037
- use new python macros

* Sun Dec 20 2015 dglent <dglent> 0.2.5-1.mga6
+ Revision: 912700
- Version 0.2.5

* Mon Jun 22 2015 dglent <dglent> 0.2.4-1.mga6
+ Revision: 839758
- Version 0.2.4
- Drop upstream merged patches:
  * paperwork-0.2-mga-disable-cleanup.patch
  * paperwork-0.2-mga-fix-file-dialog-folder-chooser.patch
  * paperwork-0.2-mga-disable-build-failure-on-runtime-dep-check.patch
- Add notices for the patched introduced upstream

* Wed Oct 15 2014 umeabot <umeabot> 0.2-4.mga5
+ Revision: 739101
- Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 dglent <dglent> 0.2-3.mga5
+ Revision: 737690
- Add patch (fix file dialog folder chooser)
- Fix file dialog folder chooser
- Bump release
- Add patch to prevent the delete of an empty folder (mga#14154)
- Add desktop file icon in hicolor paths

* Wed Oct 01 2014 dglent <dglent> 0.2-2.mga5
+ Revision: 733774
+ rebuild (emptylog)

* Sun Sep 28 2014 dglent <dglent> 0.2-1.mga5
+ Revision: 731045
- imported package paperwork

